Summary:	oldX library
Summary(pl.UTF-8):	Biblioteka oldX
Name:		xorg-lib-liboldX
Version:	1.0.1
Release:	5
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/liboldX-%{version}.tar.bz2
# Source0-md5:	6b81ffe486d76c380d08f92285758d84
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
oldX library.

%description -l pl.UTF-8
Biblioteka oldX.

%package devel
Summary:	Header files for liboldX library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki liboldX
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel

%description devel
oldX library.

This package contains the header files needed to develop programs that
use liboldX.

%description devel -l pl.UTF-8
Biblioteka oldX.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki liboldX.

%package static
Summary:	Static liboldX library
Summary(pl.UTF-8):	Biblioteka statyczna liboldX
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
oldX library.

This package contains the static liboldX library.

%description static -l pl.UTF-8
Biblioteka oldX.

Pakiet zawiera statyczną bibliotekę liboldX.

%prep
%setup -q -n liboldX-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/liboldX.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liboldX.so.6

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liboldX.so
%{_libdir}/liboldX.la
%{_includedir}/X11/X10.h
%{_pkgconfigdir}/oldx.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liboldX.a
%changelog
* Sat May 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-liboldX.git;a=log;h=master

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> b6a1d0a
- x32 rebuild
- release 5 (by relup.sh)

* Wed Jan 15 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 18873ed
- ghost soname symlink

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 0baa609
- dropped pre-cvs changelog

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 6697c17
- individual url

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 74aa74d
- release 4

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 791a5bf
- release 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1c5b061
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f111527
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 3efb113
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ede309
- rebuild

* Wed Dec 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 15c0b84
- 1.0.1 (X11R7.0 release)

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 652365a
- 1.0.0 (X11R7.0-RC4)

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> b75732d
- -devel desc fixes

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> 439f19b
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 6408834
- pkgconfig epoch

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 91019c9
- 0.99.1 (X11R7.0-RC1)

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 6c9343d
- kill /usr/X11R6

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 592c04c
- cleanups, ported back to Linux

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 26db119
- s/pkg-config/pkgconfig/ in BR:

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> c57f5d1
- modular xorg specs

